Get Device
curl --request GET \
--url https://api.example.com/api/v1/devices/{device_id}import requests
url = "https://api.example.com/api/v1/devices/{device_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/devices/{device_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"session_name": "<string>",
"status": "<string>",
"is_primary": true,
"message_logging_enabled": true,
"auto_warmer_enabled": true,
"total_messages_sent": 123,
"total_messages_received": 123,
"contacts_synced_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"connection_attempts": 123,
"daily_message_limit": 123,
"message_delay_ms": 123,
"phone_number": "<string>",
"last_connected_at": "2023-11-07T05:31:56Z",
"last_health_check_at": "2023-11-07T05:31:56Z",
"last_contact_sync_at": "2023-11-07T05:31:56Z",
"last_contact_sync_status": "<string>",
"backend_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}devices
Get Device
Get a single WhatsApp device by ID.
Requires admin:read or higher because device inventory exposes
operational metadata for the workspace.
GET
/
api
/
v1
/
devices
/
{device_id}
Get Device
curl --request GET \
--url https://api.example.com/api/v1/devices/{device_id}import requests
url = "https://api.example.com/api/v1/devices/{device_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/devices/{device_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"session_name": "<string>",
"status": "<string>",
"is_primary": true,
"message_logging_enabled": true,
"auto_warmer_enabled": true,
"total_messages_sent": 123,
"total_messages_received": 123,
"contacts_synced_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"connection_attempts": 123,
"daily_message_limit": 123,
"message_delay_ms": 123,
"phone_number": "<string>",
"last_connected_at": "2023-11-07T05:31:56Z",
"last_health_check_at": "2023-11-07T05:31:56Z",
"last_contact_sync_at": "2023-11-07T05:31:56Z",
"last_contact_sync_status": "<string>",
"backend_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Response
Successful Response
Detailed read-only device response.